Bullet Collision Detection & Physics Library: btContactSolverInfoData Struct Reference

Bullet Collision Detection & Physics Library

Public Attributes | List of all members
btContactSolverInfoData Struct Reference

`#include <btContactSolverInfo.h>`

Inheritance diagram for btContactSolverInfoData:
[legend]

## Public Attributes
btScalar | m_tau
btScalar | m_damping
btScalar | m_friction
btScalar | m_timeStep
btScalar | m_restitution
int | m_numIterations
btScalar | m_maxErrorReduction
btScalar | m_sor
btScalar | m_erp
btScalar | m_erp2
btScalar | m_deformable_erp
btScalar | m_deformable_cfm
btScalar | m_deformable_maxErrorReduction
btScalar | m_globalCfm
btScalar | m_frictionERP
btScalar | m_frictionCFM
int | m_splitImpulse
btScalar | m_splitImpulsePenetrationThreshold
btScalar | m_splitImpulseTurnErp
btScalar | m_linearSlop
btScalar | m_warmstartingFactor
btScalar | m_articulatedWarmstartingFactor
int | m_solverMode
int | m_restingContactRestitutionThreshold
int | m_minimumSolverBatchSize
btScalar | m_maxGyroscopicForce
btScalar | m_singleAxisRollingFrictionThreshold
btScalar | m_leastSquaresResidualThreshold
btScalar | m_restitutionVelocityThreshold
bool | m_jointFeedbackInWorldSpace
bool | m_jointFeedbackInJointFrame
int | m_reportSolverAnalytics
int | m_numNonContactInnerIterations

## Detailed Description

Definition at line 37 of file btContactSolverInfo.h.

## Member Data Documentation

## ◆ m_articulatedWarmstartingFactor

btScalar btContactSolverInfoData::m_articulatedWarmstartingFactor

Definition at line 61 of file btContactSolverInfo.h.

## ◆ m_damping

btScalar btContactSolverInfoData::m_damping

Definition at line 40 of file btContactSolverInfo.h.

## ◆ m_deformable_cfm

btScalar btContactSolverInfoData::m_deformable_cfm

Definition at line 50 of file btContactSolverInfo.h.

## ◆ m_deformable_erp

btScalar btContactSolverInfoData::m_deformable_erp

Definition at line 49 of file btContactSolverInfo.h.

## ◆ m_deformable_maxErrorReduction

btScalar btContactSolverInfoData::m_deformable_maxErrorReduction

Definition at line 51 of file btContactSolverInfo.h.

## ◆ m_erp

btScalar btContactSolverInfoData::m_erp

Definition at line 47 of file btContactSolverInfo.h.

## ◆ m_erp2

btScalar btContactSolverInfoData::m_erp2

Definition at line 48 of file btContactSolverInfo.h.

## ◆ m_friction

btScalar btContactSolverInfoData::m_friction

Definition at line 41 of file btContactSolverInfo.h.

## ◆ m_frictionCFM

btScalar btContactSolverInfoData::m_frictionCFM

Definition at line 54 of file btContactSolverInfo.h.

## ◆ m_frictionERP

btScalar btContactSolverInfoData::m_frictionERP

Definition at line 53 of file btContactSolverInfo.h.

## ◆ m_globalCfm

btScalar btContactSolverInfoData::m_globalCfm

Definition at line 52 of file btContactSolverInfo.h.

## ◆ m_jointFeedbackInJointFrame

bool btContactSolverInfoData::m_jointFeedbackInJointFrame

Definition at line 70 of file btContactSolverInfo.h.

## ◆ m_jointFeedbackInWorldSpace

bool btContactSolverInfoData::m_jointFeedbackInWorldSpace

Definition at line 69 of file btContactSolverInfo.h.

## ◆ m_leastSquaresResidualThreshold

btScalar btContactSolverInfoData::m_leastSquaresResidualThreshold

Definition at line 67 of file btContactSolverInfo.h.

## ◆ m_linearSlop

btScalar btContactSolverInfoData::m_linearSlop

Definition at line 59 of file btContactSolverInfo.h.

## ◆ m_maxErrorReduction

btScalar btContactSolverInfoData::m_maxErrorReduction

Definition at line 45 of file btContactSolverInfo.h.

## ◆ m_maxGyroscopicForce

btScalar btContactSolverInfoData::m_maxGyroscopicForce

Definition at line 65 of file btContactSolverInfo.h.

## ◆ m_minimumSolverBatchSize

int btContactSolverInfoData::m_minimumSolverBatchSize

Definition at line 64 of file btContactSolverInfo.h.

## ◆ m_numIterations

int btContactSolverInfoData::m_numIterations

Definition at line 44 of file btContactSolverInfo.h.

## ◆ m_numNonContactInnerIterations

int btContactSolverInfoData::m_numNonContactInnerIterations

Definition at line 72 of file btContactSolverInfo.h.

## ◆ m_reportSolverAnalytics

int btContactSolverInfoData::m_reportSolverAnalytics

Definition at line 71 of file btContactSolverInfo.h.

## ◆ m_restingContactRestitutionThreshold

int btContactSolverInfoData::m_restingContactRestitutionThreshold

Definition at line 63 of file btContactSolverInfo.h.

## ◆ m_restitution

btScalar btContactSolverInfoData::m_restitution

Definition at line 43 of file btContactSolverInfo.h.

## ◆ m_restitutionVelocityThreshold

btScalar btContactSolverInfoData::m_restitutionVelocityThreshold

Definition at line 68 of file btContactSolverInfo.h.

## ◆ m_singleAxisRollingFrictionThreshold

btScalar btContactSolverInfoData::m_singleAxisRollingFrictionThreshold

Definition at line 66 of file btContactSolverInfo.h.

## ◆ m_solverMode

int btContactSolverInfoData::m_solverMode

Definition at line 62 of file btContactSolverInfo.h.

## ◆ m_sor

btScalar btContactSolverInfoData::m_sor

Definition at line 46 of file btContactSolverInfo.h.

## ◆ m_splitImpulse

int btContactSolverInfoData::m_splitImpulse

Definition at line 56 of file btContactSolverInfo.h.

## ◆ m_splitImpulsePenetrationThreshold

btScalar btContactSolverInfoData::m_splitImpulsePenetrationThreshold

Definition at line 57 of file btContactSolverInfo.h.

## ◆ m_splitImpulseTurnErp

btScalar btContactSolverInfoData::m_splitImpulseTurnErp

Definition at line 58 of file btContactSolverInfo.h.

## ◆ m_tau

btScalar btContactSolverInfoData::m_tau

Definition at line 39 of file btContactSolverInfo.h.

## ◆ m_timeStep

btScalar btContactSolverInfoData::m_timeStep

Definition at line 42 of file btContactSolverInfo.h.

## ◆ m_warmstartingFactor

btScalar btContactSolverInfoData::m_warmstartingFactor

Definition at line 60 of file btContactSolverInfo.h.

The documentation for this struct was generated from the following file:

- btContactSolverInfo.h